package com.zipcodewilmington.phonebook;

import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;

//import static java.util.Map.*;
import java.util.*;

public class PhoneBook {

    private TreeMap<String, String> treemp;

    public PhoneBook() {
        treemp = new TreeMap<String,String>() ;
        addInitialList();
    }

    public void setTreemp(String name, String phoneNumber) {
         this.treemp.put(name, phoneNumber);

    }

    public boolean hashEntry(String name) {

        if(treemp.containsKey(name))
        {
            return true;
        } else
        return false;
    }

    public String add(String name, String phoneNumber)
    {
        String str = this.treemp.put(name, phoneNumber);
        return str;
    }


    public String lmeookup(String name) {

        String temp = treemp.get(name);
        return temp;
    }

    public String hasRemove(String name) {

        return name;
    }


    public void addInitialList () {

        this.setTreemp("Dog", "222-333-444");
        this.setTreemp("John","111-222-333");
        this.setTreemp("Zebra","222-4444-333");

    }

    public String reverseLookup (String phoneNumber ) {
        String key = "";
        for (Map.Entry<String, String> entry : treemp.entrySet()) {
            if (entry.getValue().equals(phoneNumber)) {
                key = entry.getKey();
            }
        }
        return key;
    }

    public String listNamesAndNumbers ( ) {

        StringBuffer sb = new StringBuffer();

        for (Map.Entry<String, String> entry : treemp.entrySet()) {


            sb.append(entry.getKey()) ;
            sb.append(" ");
            sb.append(entry.getValue());
            sb.append("\n");
            }
        return sb.toString();

    }

    public void clearSortedMap () {
        treemp.clear();
    }


}

